|  | Home | Documentation | soap_smd_data Struct Reference updated Mon May 13 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_smd_data Struct Reference

The smdevp engine context data, which is hooked up to soap->data[0]. More...

`#include <smdevp.h>`

## Public Attributes
int | alg
void * | ctx
const EVP_MD * | type
const void * | key
int(* | fsend )(struct soap *, const char *, size_t)
size_t(* | frecv )(struct soap *, char *, size_t)
soap_mode | mode

## Detailed Description

The smdevp engine context data, which is hooked up to soap->data[0].

## Member Data Documentation

int soap_smd_data::alg

The digest or signature algorithm used

void* soap_smd_data::ctx

EVP_MD_CTX or EVP_MAC_CTX or HMAC_CTX

size_t(* soap_smd_data::frecv) (struct soap *, char *, size_t)

int(* soap_smd_data::fsend) (struct soap *, const char *, size_t)

const void* soap_smd_data::key

EVP_PKEY

soap_mode soap_smd_data::mode

to preserve soap->mode value

const EVP_MD* soap_smd_data::type

alg type

The documentation for this struct was generated from the following file:

- smdevp.h